package alx.p30_lambdy.v1;

public class Lambdy1 {

	public static void main(String[] args) {
		
		FunkcjaLiczbowa f1 = (double arg) -> {
			System.out.println("liczę i liczę...");
			return arg + 100;
		};
		
		System.out.println(f1.oblicz(13));
		System.out.println(f1.oblicz(77));
		System.out.println();
		
		FunkcjaLiczbowa f2 = x -> x*x;
		System.out.println(f2.oblicz(5.0));
		System.out.println(f2.oblicz(12.5));

		// Oprócz wyrażeń lambda, funkcje można wskazywać także za pomocą "method reference"
        FunkcjaLiczbowa f3 = Math::sqrt;
        System.out.println(f3.oblicz(36));

        FunkcjaLiczbowa f4 = x -> Math.sqrt(x);
        System.out.println(f4.oblicz(36));
        System.out.println();
	}

}
